@charset "UTF-8";

@font-face {
    font-family: "BERNIER Regular";
    src: url("font/BERNIERRegular-Regular.otf");
}


.body-content {
    font-family: "BERNIER Regular";
}

.pos-block {
    display: inline-block;
}


.cashdrawer .material-label {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
                                     supported by Chrome, Edge, Opera and Firefox */

}


.pres-panel {
    height: 100vh;

}


.pres-panel-logo {
    padding: 0px !important;
    padding-top: 30% !important;
    font-size: xxx-large;
    text-align: center;
}


.fullscreen-video.video-container {
    width: 100vw;
    height: 100vh;

}

.fullscreen-video.video-container iframe, .fullscreen-video.video-container object, .fullscreen-video.video-container embed {
    position: absolute;
    top: -10px;
    left: -10px;
    width: calc(100vw + 10px);
    overflow: hidden;
    height: calc(100vh + 10px);
    border: 0px solid white;
}

.poshelper .blue-text {
    color: #05355a !important;
}

.poshelper .blue {
    background-color: #05355a !important;
}

.centereddiv {
    margin: 20px auto !important;
}

.centereddiv-nomargin {
    margin: 0px auto !important;
}

.centereddiv-notforced {
    margin: 20px auto;
}

.searchcustomer-listtitle {
    text-align: center;
    font-size: xx-large;
    color: #4e4947;
}

.btn-floating.bottom-right-btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    box-shadow: 0 2px 5px #acadcc, 0 2px 10px #734141;
}

.position-relative {
    position: relative;
}

.position-fixed {
    position: fixed;
}

.position-absolute {
    position: absolute;
}

.alarm-count-small {

    border-radius: 100%;
    background-color: #2e45b5;
    padding: 6px;
    color: white;
    font-size: 9px;
    font-weight: bold;
    min-width: 20px;
    text-align: center;

}

.searchcustomer-listmessage {
    text-align: center;
    font-size: large;
}

.main-progress-circle {
    margin: 100px auto;
    width: 200px;
    font-size: 2em;
}

.orderkiosk .ticket-group {
    background-color: white;
    color: black;
    font-weight: 800;
    text-shadow: 1px 1px 1px white;
    font-size: 14px;
    border-radius: 0px;
    margin-top: 2px;
}

.ticket-group {
    background-color: rgba(154, 77, 18, 0.7);
    color: white;
    font-weight: 800;
    text-shadow: 1px 1px 1px black;
    font-size: 13px;
    border-radius: 20px;
    margin-top: 2px;
}


.display-cashregister-ticket .ticket-product {
    font-size: 35px;
}


.display-cashregister-ticket .ticket-qty {
    font-size: 35px;
}

.display-cashregister-ticket .ticket-price {
    font-size: 35px;
}

.display-cashregister-ticket .ticket-subproduct {
    font-size: 20px;
}

.display-cashregister-ticket .ticket-prod {
    width: calc(100% - 50px - 60px - 45px);
}

.ticket-price {
    font-size: 15px;
}


.ticket-box-container::-webkit-scrollbar {
    width: 1em;
}

.ticket-box-container::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(247, 232, 220, 0.5);
}

.ticket-box-container::-webkit-scrollbar-thumb {
    background-color: rgba(247, 232, 220, 0.5);
    outline: 1px solid white;
}

.ticket-box-container {
    padding: 7px;
}

.article-box-container::-webkit-scrollbar {
    width: 30px;
}

.article-box-container::-webkit-scrollbar-track {
    box-shadow: inset 0 0 1px rgba(247, 232, 220, 0.5) !important;
}

.article-box-container::-webkit-scrollbar-thumb {
    background-color: rgba(247, 232, 220, 0.5) !important;
    outline: 1px solid white !important;
}

.article-box-container {
    touch-action: pan-y;
}

.overlay-scroll::-webkit-scrollbar {
    width: 1em;
}

.overlay-scroll::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(236, 13, 13, 0.3) !important;
}

.overlay-scroll::-webkit-scrollbar-thumb {
    background-color: #eac4a7 !important;
    outline: 1px solid white !important;
}

.ticket-line {
    padding: 5px 1px;
}

.ticket-qty {
    display: inline-block;
    width: 40px;
    vertical-align: top;
    cursor: pointer;
    font-weight: 800;
    color: red;
    border: 1px dashed #d2c8c8;
    margin-right: 2px;
    border-radius: 10px;

}

.orderkiosk .ticket-qty {
    display: inline-block;
    width: 40px;
    vertical-align: top;
    cursor: pointer;
    font-weight: 400;
    color: red;
    margin-right: 2px;
    border: none;
    text-align: center;
}


.ticket-prod {
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 50px - 60px);
    border-left: 2px solid #f5e5e5;
    padding-left: 6px;
    cursor: pointer;
}

.ticket-prod-selected {
    box-shadow: 0 2px 5px 0 rgba(192, 218, 46, 0.36), 0 2px 10px 0 rgba(214, 139, 63, 0.12);
    border-radius: 8px;
}

.ticket-prod:hover {
    min-height: 20px;
}

.ticket-price {
    display: inline-block;
    vertical-align: top;
    width: 50px;
}

.ticket-subproduct {
    text-align: left;
    padding-left: 10px;
    font-size: 9px;
}

.ticket-subproduct-dec {
    padding-left: 10px;
    color: #5d0e0e;
}

.ticket-subproduct-dec:before {
    content: "•";
    color: #b83b3b;
    text-shadow: #b83b3b 0 0 5px;
    margin: 0 10px;
}


.box-shadow {
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.login-panel {
    background: white;
    position: relative;
    height: 90vh;
}

.login-top {
    padding: 0px !important;
    padding-top: 3% !important;
    font-size: xxx-large;
    text-align: center;
}

.login-fieldPanel {
    background: white;
    padding: 6%;
}

.calldisplayer-title {
    text-shadow: 5px 5px 5px black;
}


.orderkiosk .stepper .step > div:first-child .circle {
    background: #732410 !important;
}

.box-sale-calldisplayer-removal {
    background-color: #cc0000 !important;
    text-shadow: 8px 8px 8px white !important;
    box-shadow: 0 2px 5px 0 #cc0000, 0 2px 10px 0 #cc0000 !important;
}

.offline-box {
    margin: auto;
    text-align: center;
    color: white;
    font-weight: 800;
    text-shadow: 0px 3px 8px black;
    font-size: 35px;
    height: 50px;
}

.alert-pay-screen {
    bottom: 3px;
    left: 30%;
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    position: fixed;
    width: 50%;
    min-width: 400px;
    z-index: 99;
    background: rgb(237 116 46 / 70%);
    border-radius: 50px;
    padding-top: 3px;
    box-shadow: 0 0 2px 3px #eb3939;
}

.alert-pay-box {
    margin: auto;
    text-align: center;
    color: white;
    font-weight: 800;
    text-shadow: 0px 3px 8px black;
    font-size: 20px;
    height: 40px;
}

.alert-pay-box-small {
    margin: auto;
    text-align: center;
    color: red;
    font-weight: 600;
    text-shadow: 0px 3px 8px white;
    font-size: 12px;
    height: 40px;
}


.posimage {
    min-height: 100vh;
}

.posapp-box {
    box-shadow: 0 2px 5px 0 rgba(43, 49, 143, 0.86), 0 2px 10px 0 rgba(43, 49, 143, 0.86) !important;
    border-radius: 30px !important;
}

.spe_header {
    background-color: white;
    color: rgb(158, 80, 80);
    border-bottom: 1px solid rgb(195, 188, 185);
    max-width: 850px;
    margin: auto;
    font-size: 14px;
    padding-bottom: 5px;
    text-transform: uppercase;
    text-align: left;
}

.spe-box-disabled {
    background: #ffffff;
    box-shadow: 0 0 3px 4px #E6E6E6;
    background-size: 100%;
    font-size: 13px;
    letter-spacing: -1px;
    font-family: AvenirNextLTPro-MediumCn;
    color: #7c7770;
    font-family: Lora, Georgia, serif;
    display: inline-block;
    margin: 7px;
    vertical-align: top;
    opacity: 0.2;
}


.spe-qte {
    padding: 2px;
    border-radius: 100%;
    background-color: rgba(232, 22, 22, 0.5);
    color: white;
    font-weight: 800;
    width: 15px;
    font-size: 10px;
    position: absolute;
    top: 2px;
    left: 2px;
}

.spe-del {
    padding: 2px;
    color: red;
    font-weight: 800;
    width: 15px;
    font-size: 25px;
    position: absolute;
    top: 2px;
    right: 7px;
}

.arrow_box {
    position: relative;
    height: 50%;
    margin-top: 15px;
    margin-left: 20px;
    line-height: 12px;
    padding: 10px !important;
    border-radius: 5px;
    color: #d7dadc;
    cursor: pointer;
}

.arrow_box:before {
    left: 100%;
    top: 50%;
    border: solid transparent;
    content: "";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.arrow-active {
    color: #e57373;
    font-weight: 800;
}

.arrow-active:before {
    border-left-color: red !important;
}

.inlineblock {
    display: inline-block;
}

.ticket-box {
    border: 1px solid #f9ddcf;
    border-radius: 20px;
    margin-left: 10px;
    padding: 10px;
    height: 80vh;;
    max-height: 700px;
    width: 30vw;
    min-width: 300px;
    display: inline-block;
    vertical-align: bottom;
    position: relative;
    font-size: 11px;
}

.action-bar {
    background-color: white;
    margin: 0px 8px;
}

.action-bar-top {
    background-color: white;
    padding: 5px;
    margin-bottom: 0px !important;
}

.action-bar-middle {
    background-color: #3c3a3a;
    padding: 5px;
    margin-bottom: 0px !important;
}

.action-bar-bottom {
    margin-bottom: 0px !important;
    background-color: #4e4947;
    padding: 5px;
}

.background-color-bar {
    background-color: #4e4947 !important;
}

.cashdrawer::-webkit-scrollbar {
    width: 1em;
}

.cashdrawer::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(236, 13, 13, 0.3);
}

.cashdrawer::-webkit-scrollbar-thumb {
    background-color: #eac4a7;
    outline: 1px solid white;
}

.cashdrawer {
    height: calc(100vh - 100px);
}

.cashdrawer-displayer {

    background: url("../images/poshelper/cloud2.jpg") no-repeat scroll 0% 0% transparent;
    background-position: center;
    background-size: cover;
    min-height: 100%;
    padding: 50px;
}

.cashdisplayer-slider {

    border: 15px solid white;
    border-radius: 20px;

}

.chat-content {
    float: none;
    font-size: 12px;
    font-weight: 800;
}

.align-right {
    text-align: right;
}

.align-left {
    text-align: left;
}


.pdf-container {
    padding-bottom: 100% !important;
}

.map-style {
    border-radius: 10px;
    border: 1px solid #eac4a7;
    margin: auto;
}

.toast-info-light {
    background-color: rgba(93, 91, 234, 0.6) !important;
}

.toast-green {
    background-color: rgba(101, 193, 71, 0.3) !important;
    color: #424242 !important;
}

.toast-red {
    background-color: red !important;
}

.submitted-sale {
    position: absolute;
    top: calc(100vh / 2 - 200px);
    left: calc(100vw / 2 - 200px);
    background-color: rgba(208, 148, 73, 0.7);
    border-radius: 100%;
    padding: 180px 70px;
}

.submitted-sale-text {
    font-size: 35px;
    color: white;
    font-weight: 800;
    text-shadow: 1px 1px 1px red;
}

.submitted-sale-overlay {
    background: rgba(78, 75, 76, 0.5) !important;
}

.bar-update-title {
    font-size: 25px;
    color: red;
}

.button-pad {
    font-size: 20px;
    font-weight: 800;
    width: 68px;
    height: 68px;
}

.button-pad-tpe {
    font-size: 10px;
    font-weight: 600;
    width: 68px;
    height: 68px;
    padding: 3px;
}


.cloud-bg {
    background: url("../images/poshelper/cloud2.jpg") no-repeat scroll 0% 0% transparent;
    background-position: center;
    background-size: cover;
    height: 100vh;
}

.caisse-label {
    background-color: rgba(66, 165, 245, 0.7);
}

.caisse-title {
    color: #181a33 !important;
    text-shadow: 0px 2px 5px #dbe825, 0px 2px 10px #500909;
    text-transform: uppercase;
    font-weight: 900;
    font-size: 50px;
}

.caisse-logo {
    background: white;
    opacity: 50%;
    margin: 60px;
    border-radius: 20px;

}

.footer-aka {
    background-color: #785b5b !important;
    color: white;
}

.deposit-line-pair {
    background-color: rgba(178, 176, 195, 0.4);
    padding: 10px 2px;
}

.deposit-line-impair {
    background-color: rgba(239, 240, 241, 0.4);
    padding: 10px 2px;
}

.deposit-line-total {
    padding: 10px 2px;
}

.ui-itemspe-checked {
    border-radius: 5px;
    color: red;
    /*box-shadow: 0 0 1px 1px #5F4C0B;*/
}


.ui-itemspe-unchecked {

}

.display-cashregister-ticket {
    margin-left: 5px;
    border: 1px solid #e8e1e1;
    min-height: 400px;
    padding: 10px;
    border-radius: 20px;
    box-shadow: 0 2px 5px 0 rgb(84 64 218 / 36%), 0 2px 10px 0 rgb(50 75 206 / 12%);
}

.cr-slot-button {

    padding: 15px;
    border-radius: 5px;
    background-color: #524949;
    border: 1px solid #4a4343;
    font-weight: 800;
    color: white;
    margin: 3px;
    vertical-align: top;
    display: inline-block;
    box-shadow: 0px 2px 2px #a4a599;
    cursor: pointer;

}

.form-header-background {
    /*background-color: #0f45a7 !important;*/
    background-color: rgba(178, 176, 195, 0.4) !important;
    padding: 5px !important;
    font-size: 16px;
    text-transform: uppercase;
}


.article-box-noimg {
    margin-top: 2px;
    border-radius: 10px;
    background-color: #bd6845;
    padding: 15px 2px;
    color: white !important;
    width: 200px;
    height: 80px;
}

.spe-bloc {
    margin: 5px;
    vertical-align: top;
    display: inline-block;
    border: 1px dashed #e0dcdc;
    padding: 5px;
    border-radius: 5px;
}

.btn.later-button {
    height: 200px;
    width: 200px;
    margin-right: 20px;
    border-radius: 20px;
    color: white;
    background-color: #101644 !important;
}


.kiosk-ticket {
    position: absolute;
    top: 0;
    right: 0;
    background-color: rgba(254, 254, 254, 1);
    z-index: 999;
    height: 100vh;
    box-shadow: 0 2px 5px 0 rgb(84 64 218 / 36%), 0 2px 10px 0 rgb(50 75 206 / 12%);
}

.btn-floating.close-kiosk-ticket {

    width: 55px;
    height: 55px;
}


.kiosk-cartButton-text {
    text-shadow: 1px 1px 1px black;
}

.btn.kiosk-valid-btn {
    background-color: #B40404;
    border-radius: 20px;
    text-shadow: 1px 1px 1px black;
}

.cart-qty {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 13px;
    color: black;
    border-radius: 100%;
    width: 20px;
    background-color: yellow;
    vertical-align: top;
}


.kiosk-cartbutton-top {
    margin: 40px auto
}


.btn.suggest {
    background: #f0c14b;
    border-radius: 5px;
    text-transform: capitalize;
    margin-bottom: 5px;
}

.default-pres-kiosk-band {
    color: white;
    position: absolute;
    text-align: center;
    bottom: 0;
    letter-spacing: -1px;
    font-weight: 800;
    font-size: 70px;
    text-transform: uppercase;
    padding-top: 100px;
    padding-bottom: 100px;

    background-color: #ffc222;
    box-shadow: 0 0 5px 5px black;
    margin: 150px 100px;
    width: calc(100% - 200px)

}

